
%define upstream_name    Class-Generate
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:    Generate Perl class hierarchies
License:    GPL+ or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2

%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
The Class::Generate package exports functions that take as arguments a class
specification and create from these specifications a Perl 5 class. The
specification language allows many object-oriented constructs: typed members,
inheritance, private members, required members, default values, object methods,
class methods, class variables, and more.

CPAN contains similar packages. Why another? Because object-oriented
programming, especially in a dynamic language like Perl, is a complicated
endeavor. I wanted a package that would work very hard to catch the errors you
(well, I anyway) commonly make. I wanted a package that could help me enforce
the contract of object-oriented programming. I also wanted it to get out of my
way when I asked.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make




%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%exclude %{_mandir}/*/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

